package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule_history):
 */
public class CourseScheduleHistory {

	/**  */
	private Long id;
	
	/** 班级编号 */
	private Integer classGroupId;
	
	/** 课程状态 */
	private String status;
	
	/** 补贴 */
	private java.math.BigDecimal subsidy;
	
	/** 上课日期 */
	private java.util.Date classDate;
	
	/** 上课时间 */
	private java.util.Date startClassTime;
	
	/** 结束时间 */
	private java.util.Date endClassTime;
	
	/** 上课教师 */
	private Integer teacherId;
	
	/** 实际上课教师 */
	private Integer actualTeacherId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 教学形式（线上、线下） */
	private String teachMode;
	
	/** 投诉状态 */
	private String complaintStatus;
	
	/** 课程类型(单技课、小班课、合奏课、综合课、练习课、启蒙课、集训课、VIP课、试听课) */
	private String type;
	
	/** 课程编号 */
	private Long courseScheduleId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setStatus(String status){
		this.status = status;
	}
	
	public String getStatus(){
		return this.status;
	}
			
	public void setSubsidy(java.math.BigDecimal subsidy){
		this.subsidy = subsidy;
	}
	
	public java.math.BigDecimal getSubsidy(){
		return this.subsidy;
	}
			
	public void setClassDate(java.util.Date classDate){
		this.classDate = classDate;
	}
	
	public java.util.Date getClassDate(){
		return this.classDate;
	}
			
	public void setStartClassTime(java.util.Date startClassTime){
		this.startClassTime = startClassTime;
	}
	
	public java.util.Date getStartClassTime(){
		return this.startClassTime;
	}
			
	public void setEndClassTime(java.util.Date endClassTime){
		this.endClassTime = endClassTime;
	}
	
	public java.util.Date getEndClassTime(){
		return this.endClassTime;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}
			
	public void setActualTeacherId(Integer actualTeacherId){
		this.actualTeacherId = actualTeacherId;
	}
	
	public Integer getActualTeacherId(){
		return this.actualTeacherId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTeachMode(String teachMode){
		this.teachMode = teachMode;
	}
	
	public String getTeachMode(){
		return this.teachMode;
	}
			
	public void setComplaintStatus(String complaintStatus){
		this.complaintStatus = complaintStatus;
	}
	
	public String getComplaintStatus(){
		return this.complaintStatus;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
